﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace _8906
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            InMemoryFeatureLayer pointLayer = new InMemoryFeatureLayer();
            pointLayer.Open();
            TextStyle txtStyle = new TextStyle("UnitNbr", new GeoFont("Arial", 9), new GeoSolidBrush(new GeoColor(0, 0, 0)));
            txtStyle.YOffsetInPixel = 22;
            txtStyle.XOffsetInPixel = -15;
            txtStyle.MaskType = MaskType.RoundedCorners;
            txtStyle.MaskMargin = 1;
            txtStyle.Mask = new AreaStyle(new GeoPen(GeoColor.FromArgb(10, 204, 204, 204), 1),
            new GeoSolidBrush(GeoColor.FromArgb(10, 75, 75, 0)));

            pointLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(txtStyle);

            pointLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay pointOverlay = new LayerOverlay();
            pointOverlay.Layers.Add("PHX_PointLayer", pointLayer);
            winformsMap1.Overlays.Add("PointOverlay", pointOverlay);            

            pointOverlay.AutoRefreshInterval = TimeSpan.FromMilliseconds(1000);

            winformsMap1.Refresh(pointOverlay);
        }
    }
}
